#include "xgfxplacement.h"

XGfxPlacement::XGfxPlacement()
    : XAsset()
    , mQuat()
    , mOrigin()
{
    SetName("GFX Placement");
}

XGfxPlacement::~XGfxPlacement()
{
    
}

void XGfxPlacement::ParseData(XDataStream *aStream)
{
    *aStream
        >> mQuat[0]
        >> mQuat[1]
        >> mQuat[2]
        >> mQuat[3]
        >> mOrigin[0]
        >> mOrigin[2]
        >> mOrigin[3];
}

void XGfxPlacement::Clear()
{
    mQuat.clear();
    mOrigin = QVector3D();
}
